Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox
Class Overlay

    java.lang.Object
      org.pdfbox.Overlay

public class Overlay
extends Object

Overlay on document with another one.
e.g. Overlay an invoice with your company layout
How it (should) work:
If the document has 10 pages, and the layout 2 the following is the result:

     Document: 1234567890
     Layout  : 1212121212

Version:
  $Revision: 1.6 $
Author:
  Mario Ivankovits (mario@ops.co.at), Ben Litchfield

Field Summary
`static COSName` | `EXT_G_STATE` COSName constant.
`static COSName` | `PROC_SET` COSName constant.
`static COSName` | `XOBJECT` COSName constant.

Constructor Summary
`Overlay()`

Method Summary
`static void` | `main(String[] args)` This will overlay a document and write out the results.
`PDDocument` | `overlay(PDDocument overlay, PDDocument destination)` This will overlay two documents onto each other.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XOBJECT

    public static final COSName XOBJECT

  COSName constant.

### PROC_SET

    public static final COSName PROC_SET

  COSName constant.

### EXT_G_STATE

    public static final COSName EXT_G_STATE

  COSName constant.

Constructor Detail

### Overlay

    public Overlay()

Method Detail

### main

    public static void main(String[] args)
                     throws IOException,
                            COSVisitorException

  This will overlay a document and write out the results.
  usage: java org.pdfbox.Overlay <overlay.pdf> <document.pdf> <result.pdf>

  Parameters:
    `args` - The command line arguments.
  Throws:
    `IOException` - If there is an error reading/writing the document.
    `COSVisitorException` - If there is an error writing the document.

### overlay

    public PDDocument overlay(PDDocument overlay,
                              PDDocument destination)
                       throws IOException

  This will overlay two documents onto each other. The overlay document is repeatedly overlayed onto the destination document for every page in the destination.

  Parameters:
    `overlay` - The document to copy onto the destination
    `destination` - The file that the overlay should be placed on.
  Returns:
    The destination pdf, same as argument passed in.
  Throws:
    `IOException` - If there is an error accessing data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD